import 'package:flutter/material.dart';

class SatelliteMiniValue extends StatelessWidget {
  final int used;
  final int inView;
  final VoidCallback onTap;

  const SatelliteMiniValue({
    required this.used,
    required this.inView,
    required this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return InkWell(
      borderRadius: BorderRadius.circular(999),
      onTap: onTap,
      child: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 4, vertical: 2),
        child: Row(
          mainAxisSize: MainAxisSize.min,
          children: [
            const Icon(Icons.satellite_alt, size: 15),
            const SizedBox(width: 4),
            Text(
              '$used/$inView',
              style: Theme.of(context).textTheme.labelMedium?.copyWith(
                    fontWeight: FontWeight.w800,
                  ),
            ),
          ],
        ),
      ),
    );
  }
}
